@echo off

rem ---------------------------
rem 本batファイルのあるフォルダ名に移動
rem
set topdir=%~dp0
rem echo "%topdir%"
cd "%topdir%"

set PAR_GLOBAL_TMPDIR=%topdir%\tmp
set USER=diff

rem ---------------------------
rem csvファイルのあるフォルダを設定
rem
set statDir="./Stat"

rem ---------------------------
rem ファイル名入力
rem
set /P file1="ファイル名１(フォルダ名は省略)を入力："
set /P file2="ファイル名２(フォルダ名は省略)を入力："
if "%file1%" == "" (
  if not "%file2%" == "" (
    set file1=%file2%
    set file2=
  )
)

rem ---------------------------
rem 実行
rem
set SCRIPT="./diff.exe"
set OPTIONS=

if "%file1%" == "" (
  set ARGS=
) else (
  if "%file2%" == "" (
    set ARGS=%statDir%/%file1%
  ) else (
    set ARGS="%statDir%/%file1%" "%statDir%/%file2%"
  )
)

%SCRIPT% %OPTIONS% %ARGS%

rem ---------------------------
rem 終了メッセージ
rem
set /P dummy="終了しました。何かキーを押して下さい。"

